Bug 49781 - PowerEdge 300 will not restart when given reboot command
Summary: PowerEdge 300 will not restart when given reboot command
Status: CLOSED RAWHIDE
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: kernel   
(Show other bugs)
Version: 7.3
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Arjan van de Ven
QA Contact: Brock Organ
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2001-07-23 20:44 UTC by John A. Hull
Modified: 2007-04-18 16:35 UTC (History)
7 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2001-09-03 17:40:37 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description John A. Hull 2001-07-23 20:44:40 UTC
From Bugzilla Helper:
User-Agent: Mozilla/4.0 (compatible; MSIE 5.01; Windows NT 5.0; DigExt)

Description of problem:
Upon init 6 and "reboot" commands on a console or in Xwindows, the system 
hangs at the console on "rebooting system" instead of resetting the 
power.  All services are reporting to be shut down before hanging, and it 
takes a very long time to see any services being shut down.

System is a Dell PowerEdge 300 with 2 processors and 128 MB of RAM. Occurs 
on SMP kernel only.

How reproducible:
Always

Steps to Reproduce:
1. Load Fairfax beta 2 on a PowerEdge 300
2. Give an "init 6" or "reboot" command
3. System shuts down all services but hangs at "rebooting system" instead 
of resetting power.
	

Actual Results:  System will not reset power

Expected Results:  System power should reset.

Additional info:

Comment 1 Arjan van de Ven 2001-07-23 20:51:21 UTC
Does passing "reboot=b" to the lilo/grub commandline help?
If so, could you please run the 
http://people.redhat.com/arjanv/dmidecode.c program
and send the output to hardwarebugs-list@redhat.com with the subject
"needs reboot=b"


Comment 2 Glen Foster 2001-07-23 21:18:23 UTC
This defect is considered SHOULD-FIX for Fairfax.

Comment 3 Joshua Giles 2001-07-24 19:41:04 UTC
putting reboot=b or reboot=bios on the kernel line in grub.conf does not fix
this problem.


Comment 4 Joshua Giles 2001-08-01 21:57:36 UTC
The "reboot=b" fixes this problem.
Sent output from dmidecode.c to hardwarebugs-list@redhat.com

Comment 5 Arjan van de Ven 2001-08-02 17:48:10 UTC
Fixed in next build

Comment 6 John A. Hull 2001-08-02 22:22:55 UTC
Is this fix for all processor speeds, or just the 800 MHz? We need it for all...

Comment 7 Arjan van de Ven 2001-08-03 09:17:31 UTC
Uhm I assume the "800" in the output is variable then.... ok will fix thanks for
the warning.

Comment 8 Joshua Giles 2001-08-31 18:58:32 UTC
The Power Edge 300 needs the reboot=smp or reboot=smb,bios passed in order to 
make it reboot consistently.

Comment 9 Arjan van de Ven 2001-08-31 19:04:37 UTC
What kernel version ?

Comment 10 Matt Domsch 2001-08-31 19:37:11 UTC
Josh, it automatically should pick up 'reboot=bios'.  Does it always 
need 'reboot=bios,smp' instead?  (looking at 2.4.7-2.19 now)
dmesg should show it detecting the PE300 and reporting it's going to always do 
BIOS reboots.

Comment 11 Arjan van de Ven 2001-08-31 19:48:37 UTC
If it doesn't pick it up, or gets it wrong I'd like dmidecode output
so I can fix it asap

Comment 12 Arjan van de Ven 2001-09-03 17:40:32 UTC
Changed to smp,bios just to be safe


Note You need to log in before you can comment on or make changes to this bug.